Summary:	Library for creating MusicBrainz DiscIDs
Summary(pl.UTF-8):	Biblioteka do tworzenia identyfikatorów DiscID dla MusicBrainz
Name:		libdiscid
Version:	0.6.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/%{name}-%{version}.tar.gz
# Source0-md5:	774afc1c6eddad9c6db91efd35111d1b
URL:		http://musicbrainz.org/doc/libdiscid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine		__cxx

%description
libdiscid is a C library for creating MusicBrainz DiscIDs from audio
CDs. It reads a CD's table of contents (TOC) and generates an
identifier which can be used to lookup the CD at MusicBrainz.
Additionally, it provides a submission URL for adding the DiscID to
the database.

%description -l pl.UTF-8
libdiscid to biblioteka C do tworzenia identyfikatorów DiscID dla
MusicBrainz z płyt CD Audio. Odczytuje tablicę zawartości płyty (TOC)
i generuje identyfikator, który można wykorzystywać do wyszukiwania
płyty w bazie MusicBrainz. Ponadto podaje URL do dodawania DiscID do
bazy danych.

%package devel
Summary:	Header files for discid library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki discid
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for discid library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki discid.

%package static
Summary:	Static discid library
Summary(pl.UTF-8):	Statyczna biblioteka discid
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static discid library.

%description static -l pl.UTF-8
Statyczna biblioteka discid.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies, obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdiscid.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libdiscid.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdiscid.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdiscid.so
%{_includedir}/discid
%{_pkgconfigdir}/libdiscid.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdiscid.a
%changelog
* Mon Jun 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdiscid.git;a=log;h=master

* Mon Jun 19 2023 Jakub Bogusz <qboosh@pld-linux.org> e17b3b9
- updated to 0.6.4

* Sun Apr 16 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 927aa84
- Update to 0.6.2

* Wed Nov 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 3951ee0
- new Source0 URL, updated to 0.6.1
- drop .la file

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> 26c452a
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> bc5dad1
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> cf00a03
- updated to 0.2.2 (note: soname back to .so.0)

* Sat Jul 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 49efc65
- updated to 0.2.1

* Tue May 29 2007 Jakub Bogusz <qboosh@pld-linux.org> bfae9c0
- new

